//
// C++ Interface: kmfcompilerinterface
//
// Description: 
//
//
// Author: Christian Hubinger <chubinger@irrsinnig.org>, (C) 2003
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KMFCOMPILERINTERFACE_H
#define KMFCOMPILERINTERFACE_H

/**
@author Christian Hubinger
*/

// QT includes
#include <tqstring.h>
#include <tqobject.h>

// KDE Includes
#include <kparts/plugin.h>


namespace KMF {
class KMFDoc;
class KMFGenericDoc;
class KMFIPTDoc;





class KDE_EXPORT KMFCompilerInterface {
public:
//    KMFCompilerInterface( TQObject* parent , const char* name  ) : KParts::Plugin( parent , name ) {};
	KMFCompilerInterface();
	virtual ~KMFCompilerInterface();
	virtual void compile() = 0;
	virtual const TQString& compile( KMFGenericDoc* ) = 0;
	virtual const TQString& compile( KMFIPTDoc* );
	virtual const TQString& osName() = 0;
	virtual const TQString& osGUIName() = 0;
	virtual const TQString& backendName() = 0;
	virtual const TQString& backendGUIName() = 0;
};
}
#endif
